use serde::{Deserialize, Serialize};
use url::Url;

/// API Response for https://addons-ecs.forgesvc.net/api/v2/addon/{addonID}.
///
/// Only includes fields which are used currently.
#[derive(Serialize, Deserialize, Debug)]
#[serde(rename_all = "camelCase")]
pub struct AddonInfoResponse {
    pub name: String,
    pub authors: Vec<Author>,
    pub attachments: Vec<Attachment>,
    pub summary: String,
    pub website_url: Url,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct Author {
    pub name: String,
}

#[derive(Serialize, Deserialize, Debug)]
#[serde(rename_all = "camelCase")]
pub struct Attachment {
    pub is_default: bool,
    pub url: Url,
}
